### Hierarchy

- IEmitter
  - IGridHeadingCell

### Implemented by

- GridHeadingCell

## Index

### Properties

- RESIZED
- RESIZING
- VALUE
- cell
- col
- common
- dataset
- emit
- handle
- hidden
- index
- off
- on
- params
- position
- reference
- register
- row
- type
- unRegister

### Methods

- removeEvent
- removeEvents
- selected
- setFreeze
- setIndex
- setOffset
- setPosition
- setSize
- setSorting

## Properties

### RESIZED

RESIZED: string

- Defined in Grid3/GridHeadingCell.ts:22

### RESIZING

RESIZING: string

- Defined in Grid3/GridHeadingCell.ts:21

### VALUE

VALUE: string

- Defined in Grid3/GridHeadingCell.ts:20

### cell

cell: HTMLDivElement

- Defined in Grid3/GridHeadingCell.ts:24

### col

col: number

- Defined in Grid3/GridHeadingCell.ts:32

### common

common: boolean

- Defined in Grid3/GridHeadingCell.ts:27

### dataset

dataset: IGridCellHeadingDataset

- Defined in Grid3/GridHeadingCell.ts:26

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### handle

handle: HTMLDivElement

- Defined in Grid3/GridHeadingCell.ts:25

### hidden

hidden: boolean

- Defined in Grid3/GridHeadingCell.ts:29

### index

index: IGridContentCellPosition

- Defined in Grid3/GridHeadingCell.ts:34

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### params

params: IGridCellParams

- Defined in Grid3/GridHeadingCell.ts:30

### position

position: IGridContentCellPosition

- Defined in Grid3/GridHeadingCell.ts:33

### reference

reference: string

- Defined in Grid3/GridHeadingCell.ts:28

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### row

row: number

- Defined in Grid3/GridHeadingCell.ts:31

### type

type: string

- Defined in Grid3/GridHeadingCell.ts:23

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

### selected

- selected(n: boolean): void

- - Defined in Grid3/GridHeadingCell.ts:35

  #### Parameters

  - ##### n: boolean

  #### Returns void

### setFreeze

- setFreeze(common: boolean): void

- - Defined in Grid3/GridHeadingCell.ts:36

  #### Parameters

  - ##### common: boolean

  #### Returns void

### setIndex

- setIndex(row: number, y: number, zIndex: number): void

- - Defined in Grid3/GridHeadingCell.ts:41

  #### Parameters

  - ##### row: number

  - ##### y: number

  - ##### zIndex: number

  #### Returns void

### setOffset

- setOffset(which: string, size: number): void

- - Defined in Grid3/GridHeadingCell.ts:38

  #### Parameters

  - ##### which: string

  - ##### size: number

  #### Returns void

### setPosition

- setPosition(which: string, size: number): void

- - Defined in Grid3/GridHeadingCell.ts:39

  #### Parameters

  - ##### which: string

  - ##### size: number

  #### Returns void

### setSize

- setSize(which: string, size: number): void

- - Defined in Grid3/GridHeadingCell.ts:37

  #### Parameters

  - ##### which: string

  - ##### size: number

  #### Returns void

### setSorting

- setSorting(direction: string): void

- - Defined in Grid3/GridHeadingCell.ts:40

  #### Parameters

  - ##### direction: string

  #### Returns void

Generated using TypeDoc